Skip to navigation

Create a firewall rule for a public IP address

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

ipIdstringRequired
ID of the public IP address

Request

This endpoint expects an object.
protocolenumRequired
Protocol the rule applies to.
Allowed values:
sourceCidrListstringRequired
Source CIDR allowed to reach the rule target.
startPortintegerOptional1-65535

Start of the port range (1-65535). Required for TCP and UDP.

endPortintegerOptional1-65535

End of the port range (1-65535). Must be greater than or equal to startPort.

typeenumOptional
Direction of traffic this rule applies to.
Allowed values:

Response

The firewall rule has been created
idstringformat: "uuid"
Unique identifier for the firewall rule.
protocolstring

Protocol the rule applies to. One of TCP, UDP, ICMP, or ALL.

ipAddressIdstringformat: "uuid"
Identifier of the public IP the rule is attached to.
ipAddressstringformat: "ipv4"
Public IP address the rule is attached to.
statestring
Current lifecycle state of the rule.
sourceCidrListstring
Source CIDR allowed to reach the rule target.
startPortintegerOptional
Start of the port range the rule applies to.
endPortintegerOptional
End of the port range the rule applies to.
typestringOptional
Direction of traffic this rule applies to.
createdAtdatetimeOptional
When the rule was created.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error